Версія net framework?

vatzct
14.04.2016, 17:48

Системні вимоги:

Windows XP SP3 (укр./рос.) або вище
1 Ггц процесор та 512 Mb оперативної пам'яті
Для Windows XP - Internet Explorer 8
Для Windows 7 та 8 - Internet Explorer 9 або вище
MSXML 6.0 (тільки для Windows XP)
Java для експорту звітів та квитанцій

Яка необхідна версія net framework для Сонати, бо в системних вимогах не вказано? Чи взагалі не потрібен жоден framework?

Віталій Міхов
15.04.2016, 06:42

.NET не обов'язковий для роботи програми. Але на деяких комп'ютерах мають місце помилки при розшифруванні квитанцій на .NET нижче 3.5.

vatzct
15.04.2016, 07:06

Тобто - не обов'язково але обов'язково? Так можна сказати і про Java - "вона не обов'язкова, але виникнуть помилки при експорті звітів та квитанцій". Особисто Ви розробник Сонати? Може розробник дасть відповідь?

Віталій Міхов
15.04.2016, 09:59

Тобто - не обов'язково але обов'язково?

Здається, я чітко висловився? Проблема зустрічається далеко не на всіх комп'ютерах і причина її поки не виявлена, тому не обов'язково для всіх. А тільки для тих, кого вона спіткала.

Так можна сказати і про Java - "вона не обов'язкова, але виникнуть помилки при експорті звітів та квитанцій".

Сказати можна все, що завгодно, але правильно буде сказати так - Java обов'язкова усім, хто хоче експортувати документи у форматах PDF, RTF, TXT або друкувати документи за допомогою PDF.

Особисто Ви розробник Сонати?

Особисто я розробник, і відповідь я вам вже дав.

vatzct
18.04.2016, 08:23

Здається, я чітко висловився?

Це тільки здається, бо схоже на лотерею.

Особисто я розробник, і відповідь я вам вже дав.

Якщо чітко, то це мало б бути на кшталт "соната не використовує .Net" або ".Net не нижче версії X".

Відповісти у темі

Відповісти

Технічна підтримка: support@sonata.biz.ua